Subject: Re: [RFC] New functions to manipulate registers for ethtool

From: Hitoshi Mitake <[email-masked]>
Date: Mon, 8 Dec 2008 18:01:44 +0900

On Mon, 08 Dec 2008 00:54:31 -0800 (PST)
David Miller <[email-masked]> wrote:

> From: Hitoshi Mitake <[email-masked]>
> Date: Mon, 8 Dec 2008 17:12:30 +0900
> 
> > I want to add two new functions to ethtool.
> > 
> > One is for setting driver's registers on MMIO area like
> > --change-eeprom option.
> 
> You can map the registers into userspace using the bus
> level mmap facilities exported to userspace.
> 
> No ethtool support is necessary for this.
> 
> > Another function is for reading driver's register on MMIO.
> 
> Also not necessary, for the same reasons described
> above.

I didn't know that, thanks!
I'll work with my problems with mmap and userspace program.